Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057745 - [abrt] evolution: PL_HashTableLookupConst(): evolution killed by SIGSEGV
Summary: [abrt] evolution: PL_HashTableLookupConst(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f00137e321b7d0c8201142197f2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 17:47 UTC by Heiko Adams
Modified: 2015-06-29 14:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:44:20 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 17:47 UTC, Heiko Adams
no flags Details
File: cgroup (deleted)
2014-01-24 17:47 UTC, Heiko Adams
no flags Details
File: core_backtrace (deleted)
2014-01-24 17:47 UTC, Heiko Adams
no flags Details
File: dso_list (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: environ (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: exploitable (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: limits (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: maps (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: open_fds (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: proc_pid_status (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details
File: var_log_messages (deleted)
2014-01-24 17:48 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2014-01-24 17:47:40 UTC
Description of problem:
I was just reading my mails while crash occurs

Version-Release number of selected component:
evolution-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        evolution
crash_function: PL_HashTableLookupConst
executable:     /usr/bin/evolution
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PL_HashTableLookupConst at ../../nspr/lib/ds/plhash.c:349
 #1 SECOID_FindOID_Util at secoid.c:2013
 #2 CERT_GetAVATag at secname.c:78
 #3 AppendAVA at alg1485.c:920
 #4 CERT_NameToAsciiInvertible at alg1485.c:1115
 #5 CERT_NameToAscii at alg1485.c:1131
 #6 camel_certdb_nss_cert_convert at camel-tcp-stream-ssl.c:374
 #7 ssl_bad_cert at camel-tcp-stream-ssl.c:458
 #8 ssl3_AuthCertificate at ssl3con.c:9898
 #9 ssl3_HandleCertificateStatus at ssl3con.c:9693

Potential duplicate: bug 714464

Comment 1 Heiko Adams 2014-01-24 17:47:50 UTC
Created attachment 855113 [details]
File: backtrace

Comment 2 Heiko Adams 2014-01-24 17:47:52 UTC
Created attachment 855114 [details]
File: cgroup

Comment 3 Heiko Adams 2014-01-24 17:47:59 UTC
Created attachment 855115 [details]
File: core_backtrace

Comment 4 Heiko Adams 2014-01-24 17:48:02 UTC
Created attachment 855116 [details]
File: dso_list

Comment 5 Heiko Adams 2014-01-24 17:48:05 UTC
Created attachment 855117 [details]
File: environ

Comment 6 Heiko Adams 2014-01-24 17:48:07 UTC
Created attachment 855118 [details]
File: exploitable

Comment 7 Heiko Adams 2014-01-24 17:48:08 UTC
Created attachment 855119 [details]
File: limits

Comment 8 Heiko Adams 2014-01-24 17:48:19 UTC
Created attachment 855120 [details]
File: maps

Comment 9 Heiko Adams 2014-01-24 17:48:21 UTC
Created attachment 855121 [details]
File: open_fds

Comment 10 Heiko Adams 2014-01-24 17:48:23 UTC
Created attachment 855122 [details]
File: proc_pid_status

Comment 11 Heiko Adams 2014-01-24 17:48:25 UTC
Created attachment 855123 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-01-27 10:03:22 UTC
Thanks for a bug report. I see from the backtrace that the evolution did mutliple reconnections on your IMAP account(s). Unfortunately I do not see anything more. ABRT found a similar quite old bug report, which leads to an upstream bug about stopping underlying Camel (a library serving email internals) too early, though it used to happen when closing evolution, not when just working with it.

Comment 13 Milan Crha 2014-01-27 10:10:33 UTC
(Maybe related to bug #1057854)

Comment 14 Fedora Admin XMLRPC Client 2014-09-04 14:30:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2015-05-29 10:40:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 14:44:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.